Bug 699366 - Atheros AR2427 fails to associate with ap.
Atheros AR2427 fails to associate with ap.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
15
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-25 08:00 EDT by daren
Modified: 2012-08-07 11:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:58:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fault logs. (122.14 KB, application/x-gzip)
2011-04-25 08:01 EDT, daren
no flags Details

  None (edit)
Description daren 2011-04-25 08:00:31 EDT
Description of problem:
Not able to associate with an access point. All logs are with security disabled.

Version-Release number of selected component (if applicable):
NetworkManager-0.8.2-8.git20101117.fc15.x86_64

How reproducible:
Attempt to connect to access point FreeBSD_rules.

Steps to Reproduce:
Tried configurations on a clean install of fedora 14 using iwconfig and ifconfig without a successful association.
On this clean install of fedora 15, open the network manager and select the access point FreeBSD_rules. 
  
Actual results:
Activation (wlan0) failed for access point.

Expected results:
A successful association with the access point.

Additional info:
The device is an R101 asus eeepc. The bios says it is a 1001PX.
http://www.austin.net.au/tabid/104/ProductCode/NBASR101-BLK020/Default.aspx
The windows 7 starter successfully associated with the ap.
Comment 1 daren 2011-04-25 08:01:41 EDT
Created attachment 494653 [details]
Fault logs.
Comment 2 Jirka Klimes 2011-05-04 04:48:19 EDT
Your system is not up-to-date. There were problems in older kernels with ath9k WiFi driver. Please consider updating to newest packages.
Comment 3 daren 2011-05-04 21:39:27 EDT
Running 2.6.38 what kernel do you recommend?
Comment 4 Mehmet Ali Anil 2011-11-09 15:41:44 EST
I'm having a very similar issue with the same chipset, so I am writing it here. 

I'm using the same netbook with F16, and my issue is the following:

A newly booted machine works fine, it can connect to the router with no problem. 
But after a while, while using the PC, or in a suspended state, the wireless is down. Network manager tries to reinstantiate the connection, but no luck, everytime as if the password didn't match, it asks me what the password to the router is. 

Here's an excerpt of my /var/log/messages file, while this is the case. 

Nov 7 22:45:18 mali-joli kernel: [ 3080.375494] ath: Chip reset failed
Nov 7 22:45:18 mali-joli kernel: [ 3080.375506] ath: Unable to reset channel (2442 MHz), reset status -22
Nov 7 22:45:18 mali-joli kernel: [ 3080.375566] ath: Unable to set channel
Nov 7 22:45:18 mali-joli kernel: [ 3080.440662] ath: Failed to stop TX DMA!
Nov 7 22:45:18 mali-joli kernel: [ 3080.453490] ath: DMA failed to stop in 10 ms AR_CR=0xffffffff AR_DIAG_SW=0xffffffff DMADBG_7=0xffffffff
Nov 7 22:45:18 mali-joli kernel: [ 3080.453499] ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
Nov 7 22:45:18 mali-joli kernel: [ 3080.568834] ath: Chip reset failed
Nov 7 22:45:18 mali-joli kernel: [ 3080.568845] ath: Unable to reset channel (2447 MHz), reset status -22
Nov 7 22:45:18 mali-joli kernel: [ 3080.568890] ath: Unable to set channel
Nov 7 22:45:18 mali-joli kernel: [ 3080.633893] ath: Failed to stop TX DMA!
Nov 7 22:45:18 mali-joli kernel: [ 3080.646695] ath: DMA failed to stop in 10 ms AR_CR=0xffffffff AR_DIAG_SW=0xffffffff DMADBG_7=0xffffffff
Nov 7 22:45:18 mali-joli kernel: [ 3080.646705] ath: Could not stop RX, we could be confusing the DMA engine when we start RX up

There's a huge number of this in the log. 

Also, when the wireless is shut down from the menu, (that good looking on-off switch) it can't be made "on" again, the wireless hardware becomes "unavailable".

I can give you more information, but I should be guided a bit.
Comment 5 Jirka Klimes 2011-11-10 10:30:53 EST
Anil, your problem is caused by ath9k driver issue and I think it's a duplicate of bug 736435.
I'm not sure if the daren's issue is the same.
Comment 6 Fedora End Of Life 2012-08-07 11:58:14 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.